package com.cm.common.exception;

import com.cm.common.exception.base.SystemException;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppDeviceException
 * @Description: APP设备异常
 * @Author: WangGeng
 * @Date: 2019/8/27 11:14 上午
 * @Version: 1.0
 **/
public class AppDeviceException extends SystemException {

    public AppDeviceException() {
    }

    public AppDeviceException(String message) {
        super(message);
    }

    public AppDeviceException(String message, boolean withMsg) {
        super(message, withMsg);
    }

    public AppDeviceException(String message, Throwable cause) {
        super(message, cause);
    }

    public AppDeviceException(Throwable cause) {
        super(cause);
    }
}
